GTKADAC = `gtkada-config --cflags`
XMLADAC = `xmlada-config --cflags`
GTKADAL = `gtkada-config --libs`
XMLADAL = `xmlada-config --libs`

CARS := 6;

default : distr

distr:
	po_gnatdist simulator.cfg $(GTKADAC) $(XMLADAC) -largs $(GTKADAL) $(XMLADAL) 
	cp config/track.xml track/
	cp config/schema.xsd track/
	cp config/polyorb.conf.track track/polyorb.conf

start-nameserver:
	@po_cos_naming -file ior.txt &
	@sleep 1
	@echo "Name server started !!!"

stop-nameserver:
	@killall po_cos_naming
	@$(RM) ior.txt

start:
	@echo $(CARS)
	@ cd scripts/ ; ./start-main $(CARS) 

kill:
	@./scripts/kill-main
deep: clean
	-rm -rf *.o *.ali b~* *~ bin dsa car monitor track race

clean:
	-rm -rf main
